Update a Supplier Risk Assessment
Update a risk assessment of a supplier
The status of the supplier risk assessment
The notes of the supplier risk assessment
List of attachments included as part of the supplier risk assessment. Note that setting this property is atomic, so always provide the full list of attachments for this supplier risk assessment. To remove all attachments from this supplier risk assessment, set the value to an empty array. Beware that removing an attachment from a supplier risk assessment does NOT mean deletion of the attachment. To delete an attachment, please refer to the API documentation on Attachments.
["c1dbc78d-a127-454a-961b-ef30becf37fd","a8593d6b-1d23-47d0-9396-72d1a4862d19"]The ID of the supplier risk assessment
123e4567-e89b-12d3-a456-426614174000The status of the supplier risk assessment
NEWExample: NEWPossible values: The notes of the supplier risk assessment
This is a noteThe date and time the supplier risk assessment was created
2023-01-01T00:00:00.000ZThe date and time the supplier risk assessment was updated
2023-01-01T00:00:00.000ZThe ID of the supplier assessed by the buyer
123e4567-e89b-12d3-a456-426614174000The ID of the buyer assessing the supplier risk
123e4567-e89b-12d3-a456-426614174000PATCH /supplier-risk-assessments/{id} HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 127
{
"status": "NEW",
"notes": "text",
"attachmentIds": [
"c1dbc78d-a127-454a-961b-ef30becf37fd",
"a8593d6b-1d23-47d0-9396-72d1a4862d19"
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "NEW",
"notes": "This is a note",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z",
"supplierId": "123e4567-e89b-12d3-a456-426614174000",
"buyerId": "123e4567-e89b-12d3-a456-426614174000",
"supplier": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"email": "user@example.com",
"name": "Example Inc.",
"username": "John Doe",
"addressStreet": "Salawati 143",
"addressZip": "98451",
"addressPostcode": "12345",
"addressArea": "Brandenburg",
"addressCity": "West Papua",
"addressCountryCode": "ID",
"addressCountry": "Indonesia",
"addressLine1": "Salawati 123",
"addressLine2": "3rd floor",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"initialLocale": "id-ID",
"units": "metric",
"plots": [
{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"suppliers": [
"[Circular Reference]"
],
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
100,
0
],
[
100.01,
0
],
[
100.01,
0.01
],
[
100,
0.01
],
[
100,
0
]
]
]
},
"commodities": [
"oil palm",
"rubber"
],
"name": "text",
"surfaceArea": 1,
"countryCode": "text",
"mostRecentAnalysis": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
},
"mostRecentAnalysesByType": {
"EUFOROBS": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
},
"PRECISION": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
}
},
"riskAssessmentStatus": "NEW",
"riskLevel": "none",
"filename": {},
"description": "text",
"ownerId": "text",
"customData": {
"key1": "someValue",
"key2": true,
"key3": 1234
}
}
],
"newlyCreated": "true",
"members": [
{
"auth0UserId": "auth0|41ba-aa49-f114ca4c263f",
"business": "[Circular Reference]",
"businessId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"firstName": "Paul",
"lastName": "Smith",
"locale": "id-ID",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"completed": "false",
"businessInvitations": [
"[Circular Reference]"
],
"userInvitations": [
"[Circular Reference]"
],
"email": "user@example.com",
"consentedAt": "2023-07-28T09:13:37Z",
"entitlements": {
"canTriggerPrecisionAnalysis": false,
"canManageTransactions": false,
"canViewSurveyResponsesOfTier1Suppliers": false,
"canDownloadSurveyResponses": false,
"canManageWebhooks": false,
"canAccessApi": false,
"canManageCmsSupplierRiskAssessmentStatuses": false,
"canViewCmsSurveys": false,
"canViewSupplierRiskScore": false
}
}
],
"connectionsAsSource": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sourceBusiness": "[Circular Reference]",
"targetBusiness": "[Circular Reference]",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"customData": {
"foo": "bar"
},
"plotsCount": 1,
"plotsCommodities": [
"cattle",
"cocoa"
]
}
],
"connectionsAsTarget": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sourceBusiness": "[Circular Reference]",
"targetBusiness": "[Circular Reference]",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"customData": {
"foo": "bar"
},
"plotsCount": 1,
"plotsCommodities": [
"cattle",
"cocoa"
]
}
],
"businessInvitations": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sentByUser": "[Circular Reference]",
"business": "[Circular Reference]",
"email": "user@example.com",
"status": "PENDING",
"createdAt": "2020-01-01T00:00:00.000Z",
"updatedAt": "2020-01-01T00:00:00.000Z",
"sourceIsInvitee": "true",
"customData": {
"key1": "someValue",
"key2": true,
"key3": 1234
}
}
],
"contactPerson": {
"auth0UserId": "auth0|41ba-aa49-f114ca4c263f",
"business": "[Circular Reference]",
"businessId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"firstName": "Paul",
"lastName": "Smith",
"locale": "id-ID",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"completed": "false",
"businessInvitations": [
"[Circular Reference]"
],
"userInvitations": [
"[Circular Reference]"
],
"email": "user@example.com",
"consentedAt": "2023-07-28T09:13:37Z",
"entitlements": {
"canTriggerPrecisionAnalysis": false,
"canManageTransactions": false,
"canViewSurveyResponsesOfTier1Suppliers": false,
"canDownloadSurveyResponses": false,
"canManageWebhooks": false,
"canAccessApi": false,
"canManageCmsSupplierRiskAssessmentStatuses": false,
"canViewCmsSurveys": false,
"canViewSupplierRiskScore": false
}
},
"machineToMachineClientId": "1234567890asdfghjk",
"eori": "text",
"vat": "text",
"tracesEnvironment": "ACCEPTANCE"
},
"buyer": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"email": "user@example.com",
"name": "Example Inc.",
"username": "John Doe",
"addressStreet": "Salawati 143",
"addressZip": "98451",
"addressPostcode": "12345",
"addressArea": "Brandenburg",
"addressCity": "West Papua",
"addressCountryCode": "ID",
"addressCountry": "Indonesia",
"addressLine1": "Salawati 123",
"addressLine2": "3rd floor",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"initialLocale": "id-ID",
"units": "metric",
"plots": [
{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"suppliers": [
"[Circular Reference]"
],
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
100,
0
],
[
100.01,
0
],
[
100.01,
0.01
],
[
100,
0.01
],
[
100,
0
]
]
]
},
"commodities": [
"oil palm",
"rubber"
],
"name": "text",
"surfaceArea": 1,
"countryCode": "text",
"mostRecentAnalysis": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
},
"mostRecentAnalysesByType": {
"EUFOROBS": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
},
"PRECISION": {
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
}
},
"riskAssessmentStatus": "NEW",
"riskLevel": "none",
"filename": {},
"description": "text",
"ownerId": "text",
"customData": {
"key1": "someValue",
"key2": true,
"key3": 1234
}
}
],
"newlyCreated": "true",
"members": [
{
"auth0UserId": "auth0|41ba-aa49-f114ca4c263f",
"business": "[Circular Reference]",
"businessId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"firstName": "Paul",
"lastName": "Smith",
"locale": "id-ID",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"completed": "false",
"businessInvitations": [
"[Circular Reference]"
],
"userInvitations": [
"[Circular Reference]"
],
"email": "user@example.com",
"consentedAt": "2023-07-28T09:13:37Z",
"entitlements": {
"canTriggerPrecisionAnalysis": false,
"canManageTransactions": false,
"canViewSurveyResponsesOfTier1Suppliers": false,
"canDownloadSurveyResponses": false,
"canManageWebhooks": false,
"canAccessApi": false,
"canManageCmsSupplierRiskAssessmentStatuses": false,
"canViewCmsSurveys": false,
"canViewSupplierRiskScore": false
}
}
],
"connectionsAsSource": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sourceBusiness": "[Circular Reference]",
"targetBusiness": "[Circular Reference]",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"customData": {
"foo": "bar"
},
"plotsCount": 1,
"plotsCommodities": [
"cattle",
"cocoa"
]
}
],
"connectionsAsTarget": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sourceBusiness": "[Circular Reference]",
"targetBusiness": "[Circular Reference]",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"customData": {
"foo": "bar"
},
"plotsCount": 1,
"plotsCommodities": [
"cattle",
"cocoa"
]
}
],
"businessInvitations": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sentByUser": "[Circular Reference]",
"business": "[Circular Reference]",
"email": "user@example.com",
"status": "PENDING",
"createdAt": "2020-01-01T00:00:00.000Z",
"updatedAt": "2020-01-01T00:00:00.000Z",
"sourceIsInvitee": "true",
"customData": {
"key1": "someValue",
"key2": true,
"key3": 1234
}
}
],
"contactPerson": {
"auth0UserId": "auth0|41ba-aa49-f114ca4c263f",
"business": "[Circular Reference]",
"businessId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"firstName": "Paul",
"lastName": "Smith",
"locale": "id-ID",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"completed": "false",
"businessInvitations": [
"[Circular Reference]"
],
"userInvitations": [
"[Circular Reference]"
],
"email": "user@example.com",
"consentedAt": "2023-07-28T09:13:37Z",
"entitlements": {
"canTriggerPrecisionAnalysis": false,
"canManageTransactions": false,
"canViewSurveyResponsesOfTier1Suppliers": false,
"canDownloadSurveyResponses": false,
"canManageWebhooks": false,
"canAccessApi": false,
"canManageCmsSupplierRiskAssessmentStatuses": false,
"canViewCmsSurveys": false,
"canViewSupplierRiskScore": false
}
},
"machineToMachineClientId": "1234567890asdfghjk",
"eori": "text",
"vat": "text",
"tracesEnvironment": "ACCEPTANCE"
},
"attachments": [
{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"updatedAt": "2023-07-28T09:13:37Z",
"createdAt": "2023-07-28T09:13:37Z",
"fileUrl": "https://tradeaware.live-eo.com/api/biz-id-74b46f10-4d05-467d-bbfd-e2386772ff9b/atc-id-60bcd197-84d7-45e4-ae5f-827c8e739185.pdf",
"filename": "testfile.txt",
"fileSizeKb": 1024,
"uploadedByUserId": "auth0|1234567890abcdef"
}
]
}Last updated